/**
 * Clase Abstracta que sirve de modelo a las conexiones.
 * @author nsanz
 */
import javax.swing.text.JTextComponent;

public abstract class AbstractConexion implements Runnable{
    
    protected JTextComponent componenteTexto;
    protected String ip;
    protected int puerto;
    protected String archivo;
    
    /**
     * Constructor de la conexion.
     * @param componenteTexto Componente correspondiente al cuadro de texto de edicion.
     * @param archivo Nombre de archivo.
     */
    
    public AbstractConexion(JTextComponent componenteTexto,String archivo) {
        this.componenteTexto=componenteTexto;
        this.archivo = archivo;
    }
    /**
     * Inicializa los parametros de la conexion
     * @param ip Direccion IP a la que se desea conectar, null en caso de ser servidor.
     * @param puerto
     */
    
    public abstract void configurarConexion(String ip, int puerto) ;
    /**
 * Para finalizar la conexion.
 */
    public abstract void cerrarConexion() ;
        /**
 * Accion de recivir los caracteres 
 * @param c Caracter que se va a enviar.
 * @param location Posicion en el texto.
 * @param bs Es true si se borra un caracter. Accion de hacer backspace.
 */
    public abstract void recivirCaracteresEditados(char c, int location,boolean bs);
   
        /**
 * Accion de enviar los caracteres 
 * @param c Caracter que se va a enviar.
 * @param location Posicion en el texto.
 * @param bs Es true si se borra un caracter. Accion de hacer backspace.
 */
    public abstract void enviarCaracteresEditados(char c, int location,boolean bs);
}
